<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  System.redirect
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

/**
 * Plugin class for redirect handling.
 *
 * @since  1.6
 */
class PlgSystemBestazon_localize_amazon_links extends JPlugin
{
	/**
	 * Affects constructor behavior. If true, language files will be loaded automatically.
	 *
	 * @var    boolean
	 * @since  3.4
	 */
	protected $autoloadLanguage = true;

	/**
	 * Constructor.
	 *
	 * @param   object  &$subject  The object to observe
	 * @param   array   $config    An optional associative array of configuration settings.
	 *
	 * @since   1.6
	 */
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);

	}
        
        public function onBeforeCompileHead()                
	{
            
                $app=JFactory::getApplication();
          //      if($app->isSite()){
		$document=JFactory::getDocument();
                $Associate_ID_US=$this->params->get('Associate_ID_US',"");
                $Associate_ID_CA=$this->params->get('Associate_ID_CA',"");
                $Associate_ID_GB=$this->params->get('Associate_ID_GB',"");
                $Associate_ID_DE=$this->params->get('Associate_ID_DE',"");
                $Associate_ID_FR=$this->params->get('Associate_ID_FR',"");
                $Associate_ID_ES=$this->params->get('Associate_ID_ES',"");
                $Associate_ID_IT=$this->params->get('Associate_ID_IT',"");
                $Associate_ID_JP=$this->params->get('Associate_ID_JP'."");
                $Associate_ID_IN=$this->params->get('Associate_ID_IN',"");
                $Associate_ID_CN=$this->params->get('Associate_ID_CN',"");
                $Associate_ID_MX=$this->params->get('Associate_ID_MX',"");
                $Associate_ID_BR=$this->params->get('Associate_ID_BR',"");
                $Conf_Custom_Class=$this->params->get('Conf_Custom_Class',"BestAzon_Amazon_Link");
                $Conf_New_Window=$this->params->get('Conf_New_Window',"");
                $Conf_Link_Follow=$this->params->get('Conf_Link_Follow',1);
                $Conf_Product_Link=$this->params->get('Conf_Product_Link',1);
                $Conf_Tracking=$this->params->get('Conf_Tracking',1);
                $Conf_Footer=$this->params->get('Conf_Footer',1);
                $Conf_Link_Keywords=$this->params->get('Conf_Link_Keywords',"");
                $Conf_Hide_Redirect_Link=$this->params->get('Conf_Hide_Redirect_Link',1);
                
                
                ob_start();
                ?>

var BestAzon_Configuration = {
"Amzn_AfiliateID_US": "<?php echo $Associate_ID_US;?>", //Replace "Associate_ID" with your Associate ID for Amazon.com
"Amzn_AfiliateID_CA": "<?php echo $Associate_ID_CA;?>", //Replace "Associate_ID" with yourAssociate ID for Amazon.ca
"Amzn_AfiliateID_GB": "<?php echo $Associate_ID_GB;?>", //Replace "Associate_ID" with your Associate ID for Amazon.co.uk
"Amzn_AfiliateID_DE": "<?php echo $Associate_ID_DE;?>", //Replace "Associate_ID" with yourAssociate ID for Amazon.De
"Amzn_AfiliateID_FR": "<?php echo $Associate_ID_FR;?>", //Replace "Associate_ID" with your Associate ID for Amazon.Fr
"Amzn_AfiliateID_ES": "<?php echo $Associate_ID_ES;?>", //Replace "Associate_ID" with your Associate ID for Amazon.Es
"Amzn_AfiliateID_IT": "<?php echo $Associate_ID_IT;?>", //Replace "Associate_ID" with your Associate ID for Amazon.It
"Amzn_AfiliateID_JP": "<?php echo $Associate_ID_JP;?>", //Replace "Associate_ID" with yourAssociate ID for Amazon.JP
"Amzn_AfiliateID_IN": "<?php echo $Associate_ID_IN;?>", //Replace "Associate_ID" with your Associate ID for Amazon.In
"Amzn_AfiliateID_CN": "<?php echo $Associate_ID_CN;?>", //Replace "Associate_ID" with your Associate ID for Amazon.cn
"Amzn_AfiliateID_MX": "<?php echo $Associate_ID_MX;?>", //Replace "Associate_ID" with yourr Associate ID for Amazon.co.mx
"Amzn_AfiliateID_BR": "<?php echo $Associate_ID_BR;?>", //Replace "Associate_ID" with your Associate ID for Amazon.co.br
"Conf_Custom_Class": "<?php echo $Conf_Custom_Class;?>", //enter if you'll like to add any CSS class to the Amazon links (can be used for styling)
"Conf_New_Window": "<?php echo $Conf_New_Window;?>", //enter "1" if you'll like to open Amazon links in new window (recommended), "2" to force open in the same window, keep blank if you'd use the defaults
"Conf_Link_Follow": "<?php echo $Conf_Link_Follow;?>", //enter "1" if you'll like to add no-follow to the Amazon links (recommended), "2" to not add no-follow
"Conf_Product_Link": "<?php echo $Conf_Product_Link;?>", //enter "1" if you'll like to redirect international visitors to equivalent search page on local Amazon stores (recommended and fast), "2" if you want them to go to equiavalent product page (slow)
"Conf_Tracking": "<?php echo $Conf_Tracking;?>", //enter "1" if you'll like to enable tracking (useful to optimize the service to you), "2" to disable
"Conf_Footer": "<?php echo $Conf_Footer;?>", //enter "1" to add credit in footer (recommended), "2" to disable
"Conf_Link_Keywords": "<?php echo $Conf_Link_Keywords;?>", //enter additional keywords - if any of these keywords is found in any URL on your site, that will be sent to Product for localization (useful if you use short links like bitly to hide your affiliate links). E.g. enter "/Amazon/" if all your Amazon links containt the string /Amazon/
"Conf_Hide_Redirect_Link": "<?php echo $Conf_Hide_Redirect_Link;?>", //enter "1" to not replace your original link with Product links (recommended), "2" if you want to replace (not recommended)
"Conf_Source": "Joomla" //DO NOT CHANGE THIS
};
//HI VIRSING
                <?php
           $script=ob_get_clean();
           $path=dirname(__FILE__).'/config.js';
          // chmod($path, 0666);
            file_put_contents($path, $script);
           $url=JUri::base()."plugins/system/bestazon_localize_amazon_links/config.js";
           $document->addScript($url);     
           //$document->addScriptDeclaration($script);                
           $url="https://bestazon.io/script/BestAzonScript.js";
           $document->addScript($url);     
       //         }
           return true;
	}
        

	
}


